import 'dart:async';

import 'package:flutter/services.dart';

class FlutterNativeConfig {
  static const MethodChannel _channel = const MethodChannel('noordawod/flutter_native_config');

  static Future<T> getConfig<T>({
    String android,
    String ios,
    String name,
    T defaultValue,
  }) {
    assert(null != name || (null != android && null != ios));

    return _channel.invokeMethod<T>('getConfig', {
      'android': android,
      'ios': ios,
      'name': name,
    }).then((value) => value ?? defaultValue);
  }
}
